org.omg.PortableInterceptor

## Interface ObjectReferenceFactory

- All Superinterfaces:
    IDLEntity, Serializable, ValueBase
  All Known Subinterfaces:
    ObjectReferenceTemplate

      public interface ObjectReferenceFactory
      extends ValueBase

  The object reference factory. This provides the capability of creating an object reference.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `make_object(String repositoryId, byte[] object_id)` make_object creates a CORBA object reference according to the data in this template, with the given repository ID and object ID.

    - ### Methods inherited from interface org.omg.CORBA.portable.ValueBase

      `_truncatable_ids`

- - ### Method Detail

    - #### make_object

          Object make_object(String repositoryId,
                           byte[] object_id)

      make_object creates a CORBA object reference according to the data in this template, with the given repository ID and object ID.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.